# YAML tag !decrypt

SnowDDL supports custom `!decrypt` tag in YAML configs. When parser encounters this tag, it decrypts string previously encrypted with [Fernet](https://cryptography.io/en/latest/fernet/) using keys stored in env variable `SNOWFLAKE_CONFIG_FERNET_KEYS`.

It is primarily intended to be used for USER passwords and for SECRETs.

You may read more about config value encryption in [Encrypt user passwords](/guides/other-guides/encrypt-user-passwords.md) guide.

## Example

**user.yaml** config file:

```yaml
john_doe:
  first_name: John
  last_name: Doe
  password: !decrypt gAAAAABmlTWBmENR0wIG2naG3PW8B3Li-9tw2UQAb9yB22V_R-SEEq6Vli5m9-w5_tI3jlftIGxlXxPhsLNMngxnjG6XdySHpQ==
```

**my\_secret.yaml** config file:

```yaml
type: generic_string
secret_string: !decrypt gAAAAABmlTXPlpJotMpEkuH44ptENk_9Uh1k8mqLPdP2Bi_0dJyk1Qdjr36Cq2mvhRpxRRIvuh8X3zYC--sBveOWPEjmKtb2UQ==
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.snowddl.com/basic/yaml-tag-decrypt.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
